SSDPY-SERVER(1)

NAME
ssdpy-server - Start an SSDP server

SYNOPSIS
ssdpy-server [options] usn

DESCRIPTION
ssdpy-server is an SSDP server that sends NOTIFY packets to notify SSDP clients about a service, and responds to relevant M-SEARCH packets.

OPTIONS

usn Unique server name to broadcast

-h, --help
    Show the program's built-in help message and exit.

-V, --version
    Show the program's version number and exit.

-v, --verbose
    Increase verbosity.

-4, --ipv4
    Listen on IPv4 (default).

-6, --ipv6
    Listen on IPv6 instead of IPv4.

-t, --device-type device-type
    Specify the broadcasted device type; affects the NT field. Defaults to ssdp:rootdevice.

-i, --iface interface
    Listen on a specific network interface.

-p, --port port
    Listen for M-SEARCH on a specific port; defaults to 1900.

--max-age max-age
    Specify the amount of seconds that the server info should be cached for (by default, it's not cached at all).

-l, --location location
    Specify the location that notifications should point to; this sets both LOCATION and AL.

-a, --address address
    Specify address of the interface to listen on (only valid for IPv4).

-e, --extra-field name value
    Specify extra fields to pass in NOTIFY packets. This option can be passed multiple times for multiple extra headers.

COPYRIGHT
Copyright © 2019-2020 Moshi Binyamini.

This is free software; see the source for copying conditions. There is NO WARRANTY, to the extent permitted by law.